Fast fix:
diff --git a/PKGBUILD b/PKGBUILD
index b0de601..3b09179 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Felix Kauselmann <licorn@gmail.com>
pkgname=libpdfium-nojs
-pkgver=4389.r1.157601b9b9
+pkgver=4577.r60a7195a9b.
pkgrel=1
pkgdesc="Open-source PDF rendering engine."
arch=('x86_64')
@@ -15,11 +15,13 @@ makedepends=('git' 'python2' 'gn' 'ninja')
source=("git+https://pdfium.googlesource.com/pdfium"
"git+https://chromium.googlesource.com/chromium/src/build.git"
"libpdfium.pc"
+ "cstring.patch"
)
md5sums=('SKIP'
'SKIP'
'feb270967925a0844b1b9a9e15288eb3'
+ 'SKIP'
)
pkgver() {
@@ -49,6 +51,15 @@ prepare() {
# git checkout "chromium/$(curl https://omahaproxy.appspot.com/linux?channel=beta | cut -d'.' -f 3)"
# git checkout "chromium/$(curl https://omahaproxy.appspot.com/linux?channel=dev | cut -d'.' -f 3)"
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ echo "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+
# Extract build repo revision needed from DEPS file and do a checkout
cd "$srcdir/pdfium/build"
git checkout $(awk '/build_revision/ {print substr($2,2,40)}' $srcdir/pdfium/DEPS) -q
diff --git a/cstring.patch b/cstring.patch
new file mode 100644
index 0000000..f093296
--- /dev/null
+++ b/cstring.patch
@@ -0,0 +1,97 @@
+diff --git a/core/fxcodec/jpeg/jpegmodule.cpp b/core/fxcodec/jpeg/jpegmodule.cpp
+index cea0679aaf..d3f573fa0e 100644
+--- a/core/fxcodec/jpeg/jpegmodule.cpp
++++ b/core/fxcodec/jpeg/jpegmodule.cpp
+@@ -8,6 +8,7 @@
+
+ #include <setjmp.h>
+
++#include <cstring>
+ #include <memory>
+ #include <utility>
+
+diff --git a/core/fxcodec/jpx/cjpx_decoder.cpp b/core/fxcodec/jpx/cjpx_decoder.cpp
+index c66985a7fb..83a9ba1328 100644
+--- a/core/fxcodec/jpx/cjpx_decoder.cpp
++++ b/core/fxcodec/jpx/cjpx_decoder.cpp
+@@ -6,6 +6,7 @@
+
+ #include "core/fxcodec/jpx/cjpx_decoder.h"
+
++#include <cstring>
+ #include <algorithm>
+ #include <limits>
+ #include <utility>
+diff --git a/core/fxge/cfx_cliprgn.cpp b/core/fxge/cfx_cliprgn.cpp
+index 5369d522cc..6f667832a4 100644
+--- a/core/fxge/cfx_cliprgn.cpp
++++ b/core/fxge/cfx_cliprgn.cpp
+@@ -6,6 +6,7 @@
+
+ #include "core/fxge/cfx_cliprgn.h"
+
++#include <cstring>
+ #include <utility>
+
+ #include "core/fxge/dib/cfx_dibitmap.h"
+diff --git a/core/fxge/dib/cfx_bitmapcomposer.cpp b/core/fxge/dib/cfx_bitmapcomposer.cpp
+index 6f9b42013f..cdeaf7aed4 100644
+--- a/core/fxge/dib/cfx_bitmapcomposer.cpp
++++ b/core/fxge/dib/cfx_bitmapcomposer.cpp
+@@ -4,6 +4,8 @@
+
+ // Original code copyright 2014 Foxit Software Inc. http://www.foxitsoftware.com
+
++#include <cstring>
++
+ #include "core/fxge/dib/cfx_bitmapcomposer.h"
+
+ #include "core/fxge/cfx_cliprgn.h"
+diff --git a/core/fxge/dib/cfx_bitmapstorer.cpp b/core/fxge/dib/cfx_bitmapstorer.cpp
+index f57c00eaae..57c4f7c153 100644
+--- a/core/fxge/dib/cfx_bitmapstorer.cpp
++++ b/core/fxge/dib/cfx_bitmapstorer.cpp
+@@ -6,6 +6,7 @@
+
+ #include "core/fxge/dib/cfx_bitmapstorer.h"
+
++#include <cstring>
+ #include <utility>
+
+ #include "core/fxge/dib/cfx_dibitmap.h"
+diff --git a/core/fxge/dib/cfx_dibbase.cpp b/core/fxge/dib/cfx_dibbase.cpp
+index 4ec0ddbf9b..fec12383fa 100644
+--- a/core/fxge/dib/cfx_dibbase.cpp
++++ b/core/fxge/dib/cfx_dibbase.cpp
+@@ -6,6 +6,7 @@
+
+ #include "core/fxge/dib/cfx_dibbase.h"
+
++#include <cstring>
+ #include <algorithm>
+ #include <memory>
+ #include <utility>
+diff --git a/core/fxge/dib/cfx_dibitmap.cpp b/core/fxge/dib/cfx_dibitmap.cpp
+index d7ccf6cfa0..bed1ef7ab3 100644
+--- a/core/fxge/dib/cfx_dibitmap.cpp
++++ b/core/fxge/dib/cfx_dibitmap.cpp
+@@ -6,6 +6,7 @@
+
+ #include "core/fxge/dib/cfx_dibitmap.h"
+
++#include <cstring>
+ #include <limits>
+ #include <memory>
+ #include <utility>
+diff --git a/core/fxge/dib/cfx_scanlinecompositor.cpp b/core/fxge/dib/cfx_scanlinecompositor.cpp
+index e8362d7088..3c1d90b88f 100644
+--- a/core/fxge/dib/cfx_scanlinecompositor.cpp
++++ b/core/fxge/dib/cfx_scanlinecompositor.cpp
+@@ -6,6 +6,7 @@
+
+ #include "core/fxge/dib/cfx_scanlinecompositor.h"
+
++#include <cstring>
+ #include <algorithm>
+
+ #include "core/fxge/dib/fx_dib.h"
Pinned Comments
selmf commented on 2021-05-24 11:20 (UTC)
Important: This package depends on libicuuc and needs to be rebuild if the icu package is updated on your system!